## spinner 1.0.0

=== DESCRIPTION ===
Package: spinner
Type: Package
Title: An Implementation of Graph Net Architecture Based on 'torch'
Version: 1.0.0
Authors@R: c(person("Giancarlo", "Vercellino", role = c("aut", "cre", "cph"), email = "giancarlo.vercellino@gmail.com"))
Maintainer: Giancarlo Vercellino <giancarlo.vercellino@gmail.com>
Description: Proposes a 'torch' implementation of Graph Net architecture allowing different options for message passing and feature embedding.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.1
Imports: torch (>= 0.9.0), igraph (>= 1.3.5), purrr (>= 0.3.4), ggplot2
        (>= 3.3.6), ggthemes (>= 4.2.4), tictoc (>= 1.0.1), readr (>=
        2.1.2), lubridate (>= 1.7.10), rlist (>= 0.4.6.2), fastDummies
        (>= 1.6.3), entropy (>= 1.3.1)
URL: https://rpubs.com/giancarlo_vercellino/spinner
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2023-02-17 13:57:14 UTC; gvercellino
Author: Giancarlo Vercellino [aut, cre, cph]
Repository: CRAN
Date/Publication: 2023-02-20 11:00:02 UTC

## spinner 1.1.0

=== DESCRIPTION ===
Package: spinner
Type: Package
Title: An Implementation of Graph Net Architecture Based on 'torch'
Version: 1.1.0
Authors@R: c(person("Giancarlo", "Vercellino", role = c("aut", "cre", "cph"), email = "giancarlo.vercellino@gmail.com"))
Maintainer: Giancarlo Vercellino <giancarlo.vercellino@gmail.com>
Description: Proposes a 'torch' implementation of Graph Net architecture allowing different options for message passing and feature embedding.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.1
Imports: torch (>= 0.9.0), igraph (>= 1.3.5), purrr (>= 0.3.4), ggplot2
        (>= 3.3.6), ggthemes (>= 4.2.4), tictoc (>= 1.0.1), readr (>=
        2.1.2), lubridate (>= 1.7.10), rlist (>= 0.4.6.2), fastDummies
        (>= 1.6.3), entropy (>= 1.3.1), abind (>= 1.4-5)
URL: https://rpubs.com/giancarlo_vercellino/spinner
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2023-03-21 05:57:46 UTC; gvercellino
Author: Giancarlo Vercellino [aut, cre, cph]
Repository: CRAN
Date/Publication: 2023-03-21 06:10:02 UTC

## spinner 1.1.1

=== DESCRIPTION ===
Package: spinner
Type: Package
Title: An Implementation of Graph Net Architecture Based on 'torch'
Version: 1.1.1
Authors@R: c(person("Giancarlo", "Vercellino", role = c("aut", "cre", "cph"), email = "giancarlo.vercellino@gmail.com"))
Maintainer: Giancarlo Vercellino <giancarlo.vercellino@gmail.com>
Description: Proposes a 'torch' implementation of Graph Net architecture allowing different options for message passing and feature embedding.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.3.3
Imports: igraph (>= 1.3.5), torch (>= 0.9.0), purrr (>= 0.3.4), ggplot2
        (>= 3.3.6), ggthemes (>= 4.2.4), tictoc (>= 1.0.1), readr (>=
        2.1.2), lubridate (>= 1.7.10), rlist (>= 0.4.6.2), fastDummies
        (>= 1.6.3), entropy (>= 1.3.1), abind (>= 1.4-5)
URL: https://rpubs.com/giancarlo_vercellino/spinner
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-11-02 18:23:21 UTC; gianc
Author: Giancarlo Vercellino [aut, cre, cph]
Repository: CRAN
Date/Publication: 2025-11-02 22:40:02 UTC

## spinner 1.2.4

=== debian/changelog ===
spinner (1.2.4-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Christoph Berg ]
  * DH 12.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Feb 2019 13:12:23 +0100

spinner (1.2.4-4) unstable; urgency=medium

  * Convert to dh with compat 10.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Nov 2017 21:00:28 +0100

spinner (1.2.4-3) unstable; urgency=low

  * Add empty watch file noting the not-useful link target.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Dec 2011 22:00:46 +0100

spinner (1.2.4-2) unstable; urgency=low

  * New maintainer. Closes: #575518.
  * Add rxvt to the list of known terminals. Also, recognize all known
    terminal types as prefixes, e.g. xterm-color for xterm.
  * Fix some compiler warnings.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Jun 2010 23:01:16 +0200

spinner (1.2.4-1) unstable; urgency=low

  * Initial release (Closes: #207415)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 17 Apr 2003 12:12:52 +0200

=== debian/control ===
Source: spinner
Section: misc
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 12)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/spinner
Vcs-Git: https://salsa.debian.org/debian/spinner.git

Package: spinner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sends small packets over a idle link
 spinner sends small packets (null packets or a fancy ASCII spin
 fan with motion) to keep a link up.
 .
 It is the perfect application to keep alive a connection over
 routers which disconnect a link after some idle time.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installman:
	dh_installman debian/spinner.1

%:
	dh $@

=== debian/watch ===
# there is no useful download link on http://www.laffeycomputer.com/spinner.html
# only one pointing to spinner-current.tar.gz
